MetaClassImpl.MetaConstructor (groovy 2.4.5 API)
Date: 2015-09-17

Package: groovy.lang

## [Java] Class MetaConstructor

- groovy.lang.MetaClassImpl.MetaConstructor

- This is a helper class introduced in Groovy 2.1.0, which is used only by indy. This class is for internal use only.

  Since:
    Groovy 2.1.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ParameterTypes` | `isVargsMethod, nativeParamTypes, parameterTypes`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `CachedConstructor` | `getCachedConstrcutor()`
    `CachedClass` | `getDeclaringClass()`
    `int` | `getModifiers()`
    `String` | `getName()`
    `Class` | `getReturnType()`
    `Object` | `invoke(Object object, Object[] arguments)`
    `boolean` | `isBeanConstructor()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MetaMethod` | `checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`
    `class ParameterTypes` | `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public CachedConstructor getCachedConstrcutor()

    - #### @Override public CachedClass getDeclaringClass()

    - #### @Override public int getModifiers()

    - #### @Override public String getName()

    - #### @Override public Class getReturnType()

    - #### @Override public Object invoke(Object object, Object[] arguments)

    - #### public boolean isBeanConstructor()